Package org.apache.nutch.util

## Class ProtocolStatusStatistics

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.util.ProtocolStatusStatistics

- All Implemented Interfaces:
    `Configurable`, `Tool`

      public class ProtocolStatusStatistics
      extends Configured
      implements Tool

  Extracts protocol status code information from the crawl database. ProtocolStatusStatistics will give you information on the count of all status codes encountered on your crawl. This can be useful for checking a number of things. An example output run showing the number of encountered status codes such as 200, 300, and a count of un-fetched record. 38 200 19 301 2 302 665 UNFETCHED

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProtocolStatusStatistics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `int` | `run​(String[] args)` |

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### ProtocolStatusStatistics

          public ProtocolStatusStatistics()

  - ### Method Detail

    - #### run

          public int run​(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `Tool`
      Throws:
        `Exception`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`